DefaultDrawLinkVertex
Keywords: uk.ac.ic.doc.automed.editor.DefaultDrawLinkVertex,DefaultDrawLinkVertex class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.editor
Class DefaultDrawLinkVertex

    java.lang.Object
      |
      +--uk.ac.ic.doc.automed.editor.DrawVertex
            |
            +--uk.ac.ic.doc.automed.editor.DefaultDrawLinkVertex

All Implemented Interfaces:
  Drawable, DrawableVertex

public class DefaultDrawLinkVertex
extends DrawVertex

Field Summary

Fields inherited from class uk.ac.ic.doc.automed.editor.DrawVertex
`bounds, centre, dependent, ep, fm, p, standardStroke, symbolHeight, symbolWidth, text, textHeight, textWidth, thickness, xInset, yInset`

Constructor Summary
`DefaultDrawLinkVertex(EditorPanel ep, Positionable p)`

Method Summary
`static void` | `drawDiamond(java.awt.Graphics2D g, int x, int y, int width, int height)`
`static void` | `fillDiamond(java.awt.Graphics2D g, int x, int y, int width, int height)`
`java.awt.Point` | `getConnectionPoint(java.awt.Point other)` Calculate the `Point` where a `DrawableArc` connecting to this `DrawableVertex` should be drawn to, no
`void` | `paintSymbol(java.awt.Graphics2D g)`

Methods inherited from class uk.ac.ic.doc.automed.editor.DrawVertex
`getBounds, getCentre, getCentreOffset, getPositionable, getRelativeTo, paint, paintText, setText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultDrawLinkVertex

    public DefaultDrawLinkVertex(EditorPanel ep,
                                 Positionable p)

Method Detail

### getConnectionPoint

    public java.awt.Point getConnectionPoint(java.awt.Point other)

  Description copied from interface: `DrawableVertex`
  Calculate the `Point` where a `DrawableArc` connecting to this `DrawableVertex` should be drawn to, no

  Specified by:
    `getConnectionPoint` in interface `DrawableVertex`
  Overrides:
    `getConnectionPoint` in class `DrawVertex`
  Returns:
    Point

### paintSymbol

    public void paintSymbol(java.awt.Graphics2D g)

  Overrides:
    `paintSymbol` in class `DrawVertex`

### fillDiamond

    public static void fillDiamond(java.awt.Graphics2D g,
                                   int x,
                                   int y,
                                   int width,
                                   int height)

### drawDiamond

    public static void drawDiamond(java.awt.Graphics2D g,
                                   int x,
                                   int y,
                                   int width,
                                   int height)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD